Package jaxe

# Class XMLTransferable

java.lang.Object
jaxe.XMLTransferable

All Implemented Interfaces:
  `Transferable`

public class XMLTransferable extends Object implements Transferable

## Field Summary

Fields
Modifier and Type
Field
Description
`static DataFlavor`
`XMLFragmentFlavor`

## Constructor Summary

Constructors
Constructor
Description
`XMLTransferable(FragmentXML fragment)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getTransferData(DataFlavor flavor)`
`DataFlavor[]`
`getTransferDataFlavors()`
`boolean`
`isDataFlavorSupported(DataFlavor flavor)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### XMLFragmentFlavor

public static DataFlavor XMLFragmentFlavor

## Constructor Details

### XMLTransferable

public XMLTransferable(FragmentXML fragment)

## Method Details

### getTransferDataFlavors

public DataFlavor[] getTransferDataFlavors()

Specified by:
  `getTransferDataFlavors` in interface `Transferable`

### getTransferData

public Object getTransferData(DataFlavor flavor) throws UnsupportedFlavorException, IOException

Specified by:
  `getTransferData` in interface `Transferable`
Throws:
  `UnsupportedFlavorException`
  `IOException`

### isDataFlavorSupported

public boolean isDataFlavorSupported(DataFlavor flavor)

Specified by:
  `isDataFlavorSupported` in interface `Transferable`